# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

# Check that we can meet upstream's version requirements for File::Spec and Cwd
%global old_modules %(perl -MCwd -MFile::Spec -e 'printf "%d\\n", $Cwd::VERSION < 3.28 || $File::Spec::VERSION < 3.28 ? 1 : 0;' 2>/dev/null || echo 0)

Name:		perl-File-Remove
Version:	1.51
Release:	2.%{__distinit}%{__distvers}
Summary:	Convenience module for removing files and directories
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/File-Remove/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/File-Remove-%{version}.tar.gz
Patch0:		File-Remove-1.50-modvers-old.patch
Patch1:		File-Remove-1.50-modvers-new.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Glob)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::CPAN::Meta) >= 0.07
# Test::MinimumVersion -> Perl::MinimumVersion -> PPI -> File::Remove
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::MinimumVersion) >= 0.007
%endif
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Convenience module for removing files and directories.

%prep
%setup -q -n File-Remove-%{version}

# Don't really need such recent versions of Cwd and File::Spec
# However, we still need to fiddle the version numbers due to rpm/perl versioning inconsistency
%if %{old_modules}
%patch0 -p1
%else
%patch1 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="xt/*.t" AUTOMATED_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README LICENSE
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Remove.3pm*

%changelog
* Tue Feb  7 2012 Paul Howarth <paul@city-fan.org> - 1.51-2
- Don't BR: perl(Test::MinimumVersion) when bootstrapping

* Thu Oct 27 2011 Paul Howarth <paul@city-fan.org> - 1.51-1
- Update to 1.51
  - END-time deletion by clear() is now fork-safe; it will only remove paths
    created in the same process

* Mon Jul 11 2011 Paul Howarth <paul@city-fan.org> - 1.50-2
- Rebuild for perl 5.14.1 in Rawhide

* Mon Jul 11 2011 Paul Howarth <paul@city-fan.org> - 1.50-1
- Update to 1.50
  - Adding a second skip for the known-bad cygwin file permissions problem
- Fix dist tag for CentOS 6 and Scientific Linux
- Update module versions patches
- Nobody else likes macros for commands

* Mon Mar 14 2011 Paul Howarth <paul@city-fan.org> - 1.49-1
- Update to 1.49
  - Restored 02_directories to no_plan as it runs different test counts on
    different systems

* Fri Mar 11 2011 Paul Howarth <paul@city-fan.org> - 1.48-1
- Update to 1.48
  - Fixed a major bug in the 1.46 logic that works out what to change the cwd
    to when deleting while inside a directory
  - Add test counts to all test scripts
  - Add a test for space-safe globs
- Re-diff patches to apply cleanly

* Fri Feb 18 2011 Paul Howarth <paul@city-fan.org> - 1.46-1
- Update to 1.46
  - Updated to Module::Install::DSL 1.00
  - Added a test to delete directories when the current working directory is
    inside the location to delete
  - Fixes for trash() with callbacks and on Mac
- Drop patch for CPAN RT#52698 - no longer needed
- Add patch to drop unnecessarily recent version requirements for Cwd and
  File::Spec if we have older versions
- Add patch to fix version requirement inconsistency between rpm and perl

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.42-5
- Rebuild for perl 5.12.1 in Rawhide

* Sun Jun  6 2010 Paul Howarth <paul@city-fan.org> - 1.42-4
- Fix dist tag for RHEL-6 Beta

* Sun Feb 21 2010 Paul Howarth <paul@city-fan.org> - 1.42-3
- Patch minimum required perl version to 5.006 (CPAN RT#52698)
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Wed May 13 2009 Paul Howarth <paul@city-fan.org> - 1.42-2
- Re-add buildreq perl(Test::CPAN::Meta)
- Update to SLES-compatible dist tag macros

* Wed Sep  3 2008 Paul Howarth <paul@city-fan.org> - 1.42-1
- Update to 1.42
- Re-add buildreq perl(Test::MinimumVersion)

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 1.41-2
- Import from Fedora
- Drop some test requirements for the time being
- Drop version requirement on perl(File::Spec) for building on older
  distributions

* Tue Jun 10 2008 Ralf Corsepius <rc040203@freenet.de> - 1.41-1
- Upstream update

* Thu Mar 13 2008 Ralf Corsepius <rc040203@freenet.de> - 1.40-1
- Upstream update

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-7
- Rebuild normally, second pass

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-6
- Rebuild for perl 5.10 (again), first pass

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-5
- Rebuild normally, second pass

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-4.1
- Rebuild, first pass, without TMV, tests

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.39-4
- Rebuild for new perl

* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 0.39-3
- Really BR: perl(Test::MinimumVersion)

* Sun Nov 25 2007 Ralf Corsépius <rc040203@freenet.de> - 0.39-2
- Add BR: perl(Test::MinimumVersion)

* Tue Nov 20 2007 Ralf Corsépius <rc040203@freenet.de> - 0.39-1
- Upstream update

* Wed Oct 17 2007 Ralf Corsépius <rc040203@freenet.de> - 0.38-1
- Upstream update

* Fri Aug 17 2007 Ralf Corsépius <rc040203@freenet.de> - 0.37-2
- Update license tag

* Tue Jul 10 2007 Ralf Corsépius <rc040203@freenet.de> - 0.37-1
- Upstream update

* Mon Jul 02 2007 Ralf Corsépius <rc040203@freenet.de> - 0.36-2
- Increment release due to koji suckage

* Mon Jul 02 2007 Ralf Corsépius <rc040203@freenet.de> - 0.36-1
- Upstream update
- BR: perl(ExtUtils::MakeMaker)
- BR: perl(Test::More)

* Mon Nov 27 2006 Ralf Corsépius <rc040203@freenet.de> - 0.34-1
- Upstream update
- Fix URL in Source0

* Fri Nov 03 2006 Ralf Corsépius <rc040203@freenet.de> - 0.33-1
- Upstream update

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.31-3
- Mass rebuild

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.31-2
- Rebuild for perl-5.8.8

* Wed Jan 11 2006 Ralf Corsepius <rc040203@freenet.de> - 0.31-1
- Upstream update

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 0.30-2
- Change %%summary according to Ville's preference

* Tue Sep 13 2005 Ralf Corsepius <rc040203@freenet.de> - 0.30-1
- FE submission
